Debian Bug report logs - #336050
kwin-baghira: makes kpdf use 100% CPU

Package: kpdf; Maintainer for kpdf is (unknown);

Reported by: Justin Guerin <jguerin@cso.atmel.com>

Date: Thu, 27 Oct 2005 15:48:08 UTC

Severity: minor

Tags: fixed-upstream

Done: Ana Guerrero <ana@ekaia.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.kde.org/show_bug.cgi?id=139664

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#336050; Package kwin-baghira. Full text and rfc822 format available.

Acknowledgement sent to Justin Guerin <jguerin@cso.atmel.com>:
New Bug report received and forwarded. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Guerin <jguerin@cso.atmel.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kwin-baghira: makes kpdf use 100% CPU
Date: Thu, 27 Oct 2005 09:42:16 -0600
Package: kwin-baghira
Version: 0.7a-1
Severity: minor

When using the baghira style, when kpdf loads a pdf file, the cpu usage
jumps to 100%, and the application does not respond.  Change the style,
and kpdf has no problems.

The problem seems to be a continual redraw of the page counter at the
bottom left of kpdf.

Justin Guerin


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages kwin-baghira depends on:
ii  kdelibs4c2                4:3.4.2-4      core libraries for all KDE applica
ii  konqueror                 4:3.4.2-3      KDE's advanced file manager, web b
ii  kwin                      4:3.4.2-3      the KDE window manager
ii  libart-2.0-2              2.3.17-1       Library of functions for 2D graphi
ii  libaudio2                 1.7-2          The Network Audio System (NAS). (s
ii  libc6                     2.3.5-4        GNU C Library: Shared libraries an
ii  libfam0                   2.7.0-8        client library to control the FAM 
ii  libfontconfig1            2.3.2-1        generic font configuration library
ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.0.1-3      GCC support library
ii  libice6                   6.8.2.dfsg.1-3 Inter-Client Exchange library
ii  libidn11                  0.5.18-1       GNU libidn library, implementation
ii  libjpeg62                 6b-10          The Independent JPEG Group's JPEG 
ii  libpng12-0                1.2.8rel-4     PNG library - runtime
ii  libqt3-mt                 3:3.3.5-1      Qt GUI Library (Threaded runtime v
ii  libsm6                    6.8.2.dfsg.1-3 X Window System Session Management
ii  libstdc++6                4.0.2-2        The GNU Standard C++ Library v3
ii  libx11-6                  6.8.2.dfsg.1-3 X Window System protocol client li
ii  libxcursor1               1.1.3-1        X cursor management library
ii  libxext6                  6.8.2.dfsg.1-3 X Window System miscellaneous exte
ii  libxft2                   2.1.7-1        FreeType-based font drawing librar
ii  libxi6                    6.8.2.dfsg.1-3 X Window System Input extension li
ii  libxinerama1              6.8.2.dfsg.1-4 X Window System multi-head display
ii  libxrandr2                6.8.2.dfsg.1-3 X Window System Resize, Rotate and
ii  libxrender1               1:0.9.0-2      X Rendering Extension client libra
ii  libxt6                    6.8.2.dfsg.1-3 X Toolkit Intrinsics
ii  libxtst6                  6.8.2.dfsg.1-3 X Window System event recording an
ii  xlibs                     6.8.2.dfsg.1-8 X Window System client libraries m
ii  zlib1g                    1:1.2.2-4      compression library - runtime

kwin-baghira recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#336050; Package kwin-baghira. Full text and rfc822 format available.

Acknowledgement sent to José Luis Tallón <jltallon@adv-solutions.net>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. Full text and rfc822 format available.

Message #10 received at 336050@bugs.debian.org (full text, mbox):

From: José Luis Tallón <jltallon@adv-solutions.net>
To: Justin Guerin <jguerin@cso.atmel.com>
Cc: 336050@bugs.debian.org, Thomas Lübking <baghira-style@users.sourceforge.net>
Subject: Re: Bug#336050: kwin-baghira: makes kpdf use 100% CPU
Date: Fri, 28 Oct 2005 00:09:16 +0200
Justin Guerin wrote:

>Package: kwin-baghira
>Version: 0.7a-1
>Severity: minor
>
>When using the baghira style, when kpdf loads a pdf file, the cpu usage
>jumps to 100%, and the application does not respond.  Change the style,
>and kpdf has no problems.
>
>The problem seems to be a continual redraw of the page counter at the
>bottom left of kpdf.
>  
>
Confirmed. It only happens with KPDF, though.
The PDFviewer part (as used in Kile, for example) has no such problems.

So i am reassigning the bug to KPDF. Will keep an eye on this, to see
whether Baghira has something to do with it, though.
Thanks for the feedback.

    J.L.

>-- System Information:
>Debian Release: 3.1
>  APT prefers unstable
>  APT policy: (500, 'unstable'), (500, 'stable')
>Architecture: i386 (i686)
>Shell:  /bin/sh linked to /bin/bash
>Kernel: Linux 2.6.12-1-686
>Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
>
>Versions of packages kwin-baghira depends on:
>ii  kdelibs4c2                4:3.4.2-4      core libraries for all KDE applica
>ii  konqueror                 4:3.4.2-3      KDE's advanced file manager, web b
>ii  kwin                      4:3.4.2-3      the KDE window manager
>ii  libart-2.0-2              2.3.17-1       Library of functions for 2D graphi
>ii  libaudio2                 1.7-2          The Network Audio System (NAS). (s
>ii  libc6                     2.3.5-4        GNU C Library: Shared libraries an
>ii  libfam0                   2.7.0-8        client library to control the FAM 
>ii  libfontconfig1            2.3.2-1        generic font configuration library
>ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
>ii  libgcc1                   1:4.0.1-3      GCC support library
>ii  libice6                   6.8.2.dfsg.1-3 Inter-Client Exchange library
>ii  libidn11                  0.5.18-1       GNU libidn library, implementation
>ii  libjpeg62                 6b-10          The Independent JPEG Group's JPEG 
>ii  libpng12-0                1.2.8rel-4     PNG library - runtime
>ii  libqt3-mt                 3:3.3.5-1      Qt GUI Library (Threaded runtime v
>ii  libsm6                    6.8.2.dfsg.1-3 X Window System Session Management
>ii  libstdc++6                4.0.2-2        The GNU Standard C++ Library v3
>ii  libx11-6                  6.8.2.dfsg.1-3 X Window System protocol client li
>ii  libxcursor1               1.1.3-1        X cursor management library
>ii  libxext6                  6.8.2.dfsg.1-3 X Window System miscellaneous exte
>ii  libxft2                   2.1.7-1        FreeType-based font drawing librar
>ii  libxi6                    6.8.2.dfsg.1-3 X Window System Input extension li
>ii  libxinerama1              6.8.2.dfsg.1-4 X Window System multi-head display
>ii  libxrandr2                6.8.2.dfsg.1-3 X Window System Resize, Rotate and
>ii  libxrender1               1:0.9.0-2      X Rendering Extension client libra
>ii  libxt6                    6.8.2.dfsg.1-3 X Toolkit Intrinsics
>ii  libxtst6                  6.8.2.dfsg.1-3 X Window System event recording an
>ii  xlibs                     6.8.2.dfsg.1-8 X Window System client libraries m
>ii  zlib1g                    1:1.2.2-4      compression library - runtime
>
>kwin-baghira recommends no packages.
>
>-- no debconf information
>
>  
>




Bug reassigned from package `kwin-baghira' to `kpdf'. Request was from José Luis Tallón <jltallon@adv-solutions.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#336050; Package kpdf. Full text and rfc822 format available.

Acknowledgement sent to Thomas Lübking <thomas.luebking@web.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 336050@bugs.debian.org (full text, mbox):

From: Thomas Lübking <thomas.luebking@web.de>
To: José Luis Tallón <jltallon@adv-solutions.net>
Cc: Justin Guerin <jguerin@cso.atmel.com>, 336050@bugs.debian.org
Subject: Re: Bug#336050: kwin-baghira: makes kpdf use 100% CPU
Date: Fri, 28 Oct 2005 02:17:33 +0200
Am Freitag, 28. Oktober 2005 00:09 schrieben Sie:
> Confirmed. It only happens with KPDF, though.
> The PDFviewer part (as used in Kile, for example) has no such problems.

i know about this bug - it occurs in kpdf code and i send the author a patch 
that's included in kde 3.5 and was backported to 3.4.whatever

i also had a workaround in my code, but removed it when testing the kpdf patch 
and committed the unhacked version to cvs and 0.7 (sorry :-/ )

however the workaround is said to do not work (though it does here)
see this thread:
http://sourceforge.net/tracker/index.php?func=detail&aid=1286100&group_id=97296&atid=617615
and tell me if the workaround works for you (if yes, i'll simply reinclude it 
versioned and make 0.7a)

Thomas
-- 
Fear... Fear attracts the fearfull.
The strong. The weak. The innocent. The corrupt.
Fear... Fear is my ally!



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#336050; Package kpdf. Full text and rfc822 format available.

Acknowledgement sent to José Luis Tallón <jltallon@adv-solutions.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 336050@bugs.debian.org (full text, mbox):

From: José Luis Tallón <jltallon@adv-solutions.net>
To: Thomas Lübking <thomas.luebking@web.de>
Cc: Justin Guerin <jguerin@cso.atmel.com>, 336050@bugs.debian.org
Subject: Re: Bug#336050: kwin-baghira: makes kpdf use 100% CPU
Date: Fri, 28 Oct 2005 12:13:13 +0200
Thomas Lübking wrote:

>Am Freitag, 28. Oktober 2005 00:09 schrieben Sie:
>  
>
>>Confirmed. It only happens with KPDF, though.
>>The PDFviewer part (as used in Kile, for example) has no such problems.
>>    
>>
>i know about this bug - it occurs in kpdf code and i send the author a patch 
>that's included in kde 3.5 and was backported to 3.4.whatever
>
>i also had a workaround in my code, but removed it when testing the kpdf patch 
>and committed the unhacked version to cvs and 0.7 (sorry :-/ )
>  
>
No problem.

>however the workaround is said to do not work (though it does here)
>see this thread:
>http://sourceforge.net/tracker/index.php?func=detail&aid=1286100&group_id=97296&atid=617615
>and tell me if the workaround works for you (if yes, i'll simply reinclude it 
>versioned and make 0.7a)
>  
>
It does work with Debian's kpdf (3.4.2-2 as of now), but this is *not*
the proper solution. I am all against dirty hacks.
Let's have kpdf's maintainer release a version with the fix backported
instead.

Note, however, that even with the fix included, kpdf is still a big CPU
hog... that means there are most probably other bugs around.
kpdf maintainer: please forward the relevant information upstream, with
my appreciation.

Cheers,
    J.L.





Noted your statement that Bug has been forwarded to http://bugs.kde.org/show_bug.cgi?id=139664. Request was from Ana Guerrero <ana@ekaia.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#336050; Package kpdf. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 336050@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Justin Guerin <jguerin@cso.atmel.com>, 336050@bugs.debian.org
Subject: Re: Bug#336050: kwin-baghira: makes kpdf use 100% CPU
Date: Thu, 29 Mar 2007 13:40:27 +0100
Hi justin,

On Thu, Oct 27, 2005 at 09:42:16AM -0600, Justin Guerin wrote:
> Package: kwin-baghira
> Version: 0.7a-1
> Severity: minor
> 
> When using the baghira style, when kpdf loads a pdf file, the cpu usage
> jumps to 100%, and the application does not respond.  Change the style,
> and kpdf has no problems.
> 
> The problem seems to be a continual redraw of the page counter at the
> bottom left of kpdf.
>


Your problem was forwarded to upstream, see: 
http://bugs.kde.org/show_bug.cgi?id=139664

and is asking if you still have this problem.

Ana




Reply sent to Ana Guerrero <ana@ekaia.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Guerin <jguerin@cso.atmel.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 336050-done@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@ekaia.org>
To: 336050-done@bugs.debian.org
Subject: Re: Bug#336050: kwin-baghira: makes kpdf use 100% CPU
Date: Thu, 29 Mar 2007 14:01:43 +0100
On Thu, Mar 29, 2007 at 01:40:27PM +0100, Ana Guerrero wrote:
> Hi justin,
> 
> On Thu, Oct 27, 2005 at 09:42:16AM -0600, Justin Guerin wrote:
> > Package: kwin-baghira
> > Version: 0.7a-1
> > Severity: minor
> > 
> > When using the baghira style, when kpdf loads a pdf file, the cpu usage
> > jumps to 100%, and the application does not respond.  Change the style,
> > and kpdf has no problems.
> > 
> > The problem seems to be a continual redraw of the page counter at the
> > bottom left of kpdf.
> >
> 
> 
> Your problem was forwarded to upstream, see: 
> http://bugs.kde.org/show_bug.cgi?id=139664
> 
> and is asking if you still have this problem.

When mailing the previous mail i got:

The original message was received at Thu, 29 Mar 2007 04:40:55 -0700 (PDT)
from barracuda1.atmel.com [10.64.0.199]

   ----- The following addresses had permanent fatal errors -----
   <jguerin@cso.atmel.com>
       (reason: 550 5.1.1 <jguerin@cso.atmel.com>... User unknown)

	      ----- Transcript of session follows -----
		  ... while talking to csogate.cso.atmel.com.:
		  >>> RCPT To:<jguerin@cso.atmel.com>
		  <<< 550 5.1.1 <jguerin@cso.atmel.com>... User unknown
		  550 5.1.1 <jguerin@cso.atmel.com>... User unknown


Since there is no way to contact with the submitter i'm closing the bug.
Ana



Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 03 Apr 2007 23:27:31 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:58:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:35:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.